> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Order



## OpenAPI

````yaml GET /v1/orders/{sourceOrderId}
openapi: 3.0.0
info:
  title: Orders Service
  description: Orders service API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags:
  - name: orders
    description: ''
paths:
  /v1/orders/{sourceOrderId}:
    get:
      tags:
        - Orders
      summary: Retrieve Order
      operationId: OrdersApiController_findOne
      parameters:
        - name: sourceOrderId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Order'
        '401':
          description: Unauthorized.
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionResponse'
      security:
        - bearer: []
components:
  schemas:
    Order:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          example: asdasdfasdfasdfasdf
        fulfillments:
          readOnly: true
          example:
            - id: '12345'
              sourceOrderId: '12345'
              fulfillmentStatus: shipped
              trackingCompany: ups
              trackingNumber: '12345'
              sourceItemIds:
                - id: '12345'
                  quantity: 1
          type: array
          items:
            type: string
        sourceOrderId:
          type: string
          readOnly: true
          example: '12345'
        sourceOrderNumber:
          type: string
          readOnly: true
          example: '#12345'
        sourceCreatedAt:
          format: date-time
          type: string
          readOnly: true
          example: '2000-05-15T21:00:00.000Z'
        sourceUpdatedAt:
          format: date-time
          type: string
          readOnly: true
          example: '2024-05-28T20:05:55.338Z'
        sourceCancelledAt:
          format: date-time
          type: string
          nullable: true
          example: '2024-05-28T20:05:55.339Z'
        platformId:
          type: string
          readOnly: true
          example: api
          enum:
            - shopify
            - woocommerce
            - magento
            - bigcommerce
            - api
        premiumPaid:
          type: number
          readOnly: true
          example: 1.5
        currency:
          type: string
          readOnly: true
          enum:
            - ADP
            - AED
            - AFA
            - AFN
            - ALK
            - ALL
            - AMD
            - ANG
            - AOA
            - AOK
            - AON
            - AOR
            - ARA
            - ARP
            - ARS
            - ARY
            - ATS
            - AUD
            - AWG
            - AYM
            - AZM
            - AZN
            - BAD
            - BAM
            - BBD
            - BDT
            - BEC
            - BEF
            - BEL
            - BGJ
            - BGK
            - BGL
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOP
            - BOV
            - BRB
            - BRC
            - BRE
            - BRL
            - BRN
            - BRR
            - BSD
            - BTN
            - BUK
            - BWP
            - BYB
            - BYN
            - BYR
            - BZD
            - CAD
            - CDF
            - CHC
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CSD
            - CSJ
            - CSK
            - CUC
            - CUP
            - CVE
            - CYP
            - CZK
            - DDM
            - DEM
            - DJF
            - DKK
            - DOP
            - DZD
            - ECS
            - ECV
            - EEK
            - EGP
            - ERN
            - ESA
            - ESB
            - ESP
            - ETB
            - EUR
            - FIM
            - FJD
            - FKP
            - FRF
            - GBP
            - GEK
            - GEL
            - GHC
            - GHP
            - GHS
            - GIP
            - GMD
            - GNE
            - GNF
            - GNS
            - GQE
            - GRD
            - GTQ
            - GWE
            - GWP
            - GYD
            - HKD
            - HNL
            - HRD
            - HRK
            - HTG
            - HUF
            - IDR
            - IEP
            - ILP
            - ILR
            - ILS
            - INR
            - IQD
            - IRR
            - ISJ
            - ISK
            - ITL
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAJ
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LSM
            - LTL
            - LTT
            - LUC
            - LUF
            - LUL
            - LVL
            - LVR
            - LYD
            - MAD
            - MDL
            - MGA
            - MGF
            - MKD
            - MLF
            - MMK
            - MNT
            - MOP
            - MRO
            - MRU
            - MTL
            - MTP
            - MUR
            - MVQ
            - MVR
            - MWK
            - MXN
            - MXP
            - MXV
            - MYR
            - MZE
            - MZM
            - MZN
            - NAD
            - NGN
            - NIC
            - NIO
            - NLG
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEH
            - PEI
            - PEN
            - PES
            - PGK
            - PHP
            - PKR
            - PLN
            - PLZ
            - PTE
            - PYG
            - QAR
            - RHD
            - ROK
            - ROL
            - RON
            - RSD
            - RUB
            - RUR
            - RWF
            - SAR
            - SBD
            - SCR
            - SDD
            - SDG
            - SDP
            - SEK
            - SGD
            - SHP
            - SIT
            - SKK
            - SLL
            - SOS
            - SRD
            - SRG
            - SSP
            - STD
            - STN
            - SUR
            - SVC
            - SYP
            - SZL
            - THB
            - TJR
            - TJS
            - TMM
            - TMT
            - TND
            - TOP
            - TPE
            - TRL
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UAK
            - UGS
            - UGW
            - UGX
            - USD
            - USN
            - USS
            - UYI
            - UYN
            - UYP
            - UYU
            - UYW
            - UZS
            - VEB
            - VEF
            - VES
            - VNC
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XEU
            - XFO
            - XFU
            - XOF
            - XPD
            - XPF
            - XPT
            - XRE
            - XSU
            - XTS
            - XUA
            - XXX
            - YDD
            - YER
            - YUD
            - YUM
            - YUN
            - ZAL
            - ZAR
            - ZMK
            - ZMW
            - ZRN
            - ZRZ
            - ZWC
            - ZWD
            - ZWL
            - ZWN
            - ZWR
          example: USD
        orderItems:
          readOnly: true
          example:
            - id: clv5u1ix00002pheol047kwrv
              orderId: clv5u1ix00000pheoqpxke986
              productName: Handcrafted Wooden Table
              productUrl: https://bogus-clarity.name/
              productImage: https://picsum.photos/seed/orderprotection1/200/300
              itemDescription: null
              sku: 978-0-10-081434-9
              quantity: 20
              price: 31.5
              discount: 0
              tax: 0
              sourceItemId: '387179'
              sourceProductId: '477353'
              sourceVariantId: '17742'
              addressId: null
              createdAt: '2024-04-18T22:48:08.964Z'
              updatedAt: '2024-04-18T22:48:08.964Z'
              refundedQuantity: 0
            - id: clv5u1ix00003pheom3edzt29
              orderId: clv5u1ix00000pheoqpxke986
              productName: Crazy T-Shirt
              productUrl: https://test.site/
              productImage: https://picsum.photos/seed/orderprotection2/200/300
              itemDescription: null
              sku: '5555'
              quantity: 3
              price: 32.2
              discount: 0
              tax: 0
              sourceItemId: '387180'
              sourceProductId: '477353'
              sourceVariantId: '17742'
              addressId: null
              createdAt: '2024-04-18T22:48:08.964Z'
              updatedAt: '2024-04-18T22:48:08.964Z'
              refundedQuantity: 0
          type: array
          items:
            type: string
        total:
          type: number
          readOnly: true
          example: 12.55
        discountTotal:
          type: number
          readOnly: true
          example: 2.55
        shippingCost:
          type: number
          readOnly: true
          example: 7.55
        shippingCostTax:
          type: number
          readOnly: true
          example: 1.44
        tax:
          type: number
          readOnly: true
          example: 1.44
        subtotal:
          type: number
          readOnly: true
          example: 1200
        customerEmail:
          type: string
          readOnly: true
          example: customer@email.com
        customerName:
          type: string
          readOnly: true
          example: John Doe
        customerPhone:
          type: string
          readOnly: true
          example: (801) 555-5555
          format: phone
        exchangeRate:
          type: number
          readOnly: true
          example: 1
        storeId:
          type: string
          readOnly: true
          example: test
        policyId:
          type: string
          readOnly: true
          example: asdadsasdad
        eligibleForOta:
          type: boolean
          readOnly: true
          example: false
        createdAt:
          format: date-time
          type: string
          readOnly: true
          example: '2024-05-28T20:05:55.339Z'
        activities:
          readOnly: true
          example:
            - message: Order created
              orderId: asdasd
          type: array
          items:
            type: string
        updatedAt:
          format: date-time
          type: string
          readOnly: true
          example: '2024-05-28T20:05:55.339Z'
        deletedAt:
          format: date-time
          type: string
          readOnly: true
          example: '2024-05-28T20:05:55.339Z'
      required:
        - id
        - fulfillments
        - sourceOrderId
        - sourceOrderNumber
        - sourceCreatedAt
        - sourceUpdatedAt
        - sourceCancelledAt
        - platformId
        - premiumPaid
        - currency
        - orderItems
        - total
        - discountTotal
        - shippingCost
        - shippingCostTax
        - tax
        - subtotal
        - customerEmail
        - customerName
        - customerPhone
        - exchangeRate
        - storeId
        - policyId
        - eligibleForOta
        - createdAt
        - activities
        - updatedAt
        - deletedAt
    ApiExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: order not found
        error:
          type: string
          readOnly: true
          example: Not Found
        statusCode:
          type: number
          readOnly: true
          example: 404
      required:
        - message
        - error
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````